package it.unitn.disi.ronchet.esame2207;

import it.unitn.disi.ronchet.esame2207.piastrelle.PiastrellaBase;

import java.util.ArrayList;

public class ListaPiastrelle extends ArrayList<PiastrellaBase> {
    int currentPiastrellaIndex=0;
    public ListaPiastrelle addPiastrella(PiastrellaBase b) {
        this.add(b);
        return this;
    }
    PiastrellaBase getCurrent(){
        return get(currentPiastrellaIndex);
    }
    PiastrellaBase getNext(){
        currentPiastrellaIndex++;
        if (currentPiastrellaIndex>=this.size()) currentPiastrellaIndex=0;
        return get(currentPiastrellaIndex);
    }
    PiastrellaBase getPrevious(){
        currentPiastrellaIndex--;
        if (currentPiastrellaIndex<0) currentPiastrellaIndex=this.size()-1;
        return get(currentPiastrellaIndex);
    }

}
