package it.unitn.disi.ronchet.esame2207.piastrelle;

import it.unitn.disi.ronchet.esame2207.CatalogApp;
import it.unitn.disi.ronchet.esame2207.Materiale;
import javafx.event.EventHandler;
import javafx.scene.input.MouseEvent;

public class PiastrellaColorabile extends PiastrellaBase{
    int currentColorIndex=0;
    public PiastrellaColorabile(String codice, int lato, int costo, Materiale materiale) {
        super(codice, lato, costo, materiale);
        this.piastrella.addEventHandler(MouseEvent.MOUSE_CLICKED, new EventHandler<MouseEvent>() {
            @Override
            public void handle(MouseEvent mouseEvent) {
                currentColorIndex= CatalogApp.basePalette.incrementIndex(currentColorIndex);
                piastrella.setFill(CatalogApp.basePalette.getColor(currentColorIndex));
            }
        });
    }
}
