package it.unitn.disi.ronchet.esame2207.piastrelle;

import it.unitn.disi.ronchet.esame2207.CatalogApp;
import it.unitn.disi.ronchet.esame2207.Materiale;
import javafx.event.EventHandler;
import javafx.scene.input.MouseEvent;
import javafx.scene.paint.Color;
import javafx.scene.shape.Shape;

public abstract class PiastrellaConInserto extends PiastrellaColorabile{
    EventHandler<MouseEvent> handler;
    Shape inserto;
    int currentInsertColorIndex=0;

    public PiastrellaConInserto(String codice, int lato, int costo, Materiale materiale) {
        super(codice, lato, costo, materiale);
        handler=new EventHandler<MouseEvent>() {
            @Override
            public void handle(MouseEvent mouseEvent) {
                currentInsertColorIndex= CatalogApp.basePalette.incrementIndex(currentInsertColorIndex);
                inserto.setFill(CatalogApp.basePalette.getColor(currentInsertColorIndex));
            }
        };
    }
    void setInserto(Shape s){
        inserto=s;
        inserto.setStroke(Color.BLACK);
        grafica.getChildren().add(inserto);
        inserto.addEventHandler(MouseEvent.MOUSE_CLICKED, new EventHandler<MouseEvent>() {
            @Override
            public void handle(MouseEvent mouseEvent) {
                currentInsertColorIndex= CatalogApp.innerPalette.incrementIndex(currentInsertColorIndex);
                inserto.setFill(CatalogApp.innerPalette.getColor(currentInsertColorIndex));
            }
        });
    }
}
