package it.unitn.disi.ronchet.esame2207.piastrelle;

import javafx.scene.control.TextArea;
import javafx.scene.layout.StackPane;
import javafx.scene.paint.Color;
import javafx.scene.shape.Rectangle;
import it.unitn.disi.ronchet.esame2207.Materiale;
import it.unitn.disi.ronchet.esame2207.CatalogApp;

public class PiastrellaBase {
    String codice;
    int lato;
    int costo;
    Materiale materiale;
    StackPane grafica;
    Rectangle piastrella;

    public PiastrellaBase(String codice, int lato, int costo, Materiale materiale) {
        this.codice = codice;
        this.lato = lato;
        this.costo = costo;
        this.materiale = materiale;
        grafica=new StackPane();
        piastrella=new Rectangle(130,130, CatalogApp.basePalette.getFirst());
        piastrella.setStroke(Color.BLACK);
        grafica.getChildren().add(this.piastrella);
    }
    public StackPane getGrafica() {
        return grafica;
    }
    public TextArea printProperties(){
        TextArea ta=new TextArea();
        StringBuffer s=new StringBuffer("Codice : ").append(codice).append("\n");
        s.append("Materiale : ").append(materiale).append("\n");
        s.append("Costo : ").append(costo).append("\n");
        ta.setText(s.toString());
        ta.setEditable(false);
        ta.setPrefRowCount(3);
        return ta;
    }
    public String printForCarrello(){
        StringBuffer s=new StringBuffer("Codice : ").append(codice).append(" - ");
        s.append("Costo : ").append(costo).append("\n");
        return s.toString();
    }
}
